Index: tmp/org.txm.core/res/org/txm/xml/xsl/concordance_mot-pivot.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/concordance_mot-pivot.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/concordance_mot-pivot.xsl	(revision 2397)
@@ -1,50 +1,63 @@
 ﻿<?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
-				xmlns:exsl="http://exslt.org/common">
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
+	xmlns:exsl="http://exslt.org/common">
 
 	<xsl:output method="text" encoding="UTF-8" indent="no" />
 
 	<xsl:strip-space elements="*" />
 
-	<xsl:param name="cx" select="30"/>
+	<xsl:param name="cx" select="30" />
 	<!-- vary this value to change the size of the context -->
-	
-	<xsl:param name="ntTypes">cat</xsl:param>
+
+	<xsl:param name="ntTypes">
+		cat
+	</xsl:param>
 	<!-- non-terminal pivot features to show -->
-	
-	<xsl:param name="tTypes" >pos</xsl:param>
+
+	<xsl:param name="tTypes">
+		pos
+	</xsl:param>
 	<!-- terminal pivot features to show -->
-	
-	<xsl:variable name="valueshownt" ><xsl:value-of select="$ntTypes" /></xsl:variable>
-	
-	<xsl:variable name="valueshowt" ><xsl:value-of select="$tTypes" /></xsl:variable>
 
-	<xsl:key name="idkey" match="t|nt" use="@id"/>
+	<xsl:variable name="valueshownt">
+		<xsl:value-of select="$ntTypes" />
+	</xsl:variable>
+
+	<xsl:variable name="valueshowt">
+		<xsl:value-of select="$tTypes" />
+	</xsl:variable>
+
+	<xsl:key name="idkey" match="t|nt" use="@id" />
 	<!-- Lezius' lookup key -->
 
-	<xsl:key name="idkey-reverse" match="edge" use="@idref"/>
+	<xsl:key name="idkey-reverse" match="edge" use="@idref" />
 	<!-- reverse lookup key -->
 
 	<xsl:template match="/">
-		
-		<!--Write a header-->
-		
+
+		<!--Write a header -->
+
 		<xsl:text>ID&#x09;LeftCxOutsideSnt&#x09;LeftCxInsideSnt&#x09;Pivot&#x09;</xsl:text>
-		
-		<xsl:for-each select="tokenize($valueshowt/node(), '\s+')">
-			
-			<xsl:value-of select="." /><xsl:text>&#x09;</xsl:text>
-			
+
+		<xsl:for-each
+			select="tokenize($valueshowt/node(), '\s+')">
+
+			<xsl:value-of select="." />
+			<xsl:text>&#x09;</xsl:text>
+
 		</xsl:for-each>
-		
+
 		<xsl:text>PivotStr&#x09;</xsl:text>
-		
-		<xsl:for-each select="tokenize($valueshownt/node(), '\s+')">
-			
-			<xsl:value-of select="." /><xsl:text>&#x09;</xsl:text>
-			
+
+		<xsl:for-each
+			select="tokenize($valueshownt/node(), '\s+')">
+
+			<xsl:value-of select="." />
+			<xsl:text>&#x09;</xsl:text>
+
 		</xsl:for-each>
-	
+
 		<xsl:text>RightCxInsideSnt&#x09;RightCxOutsideSnt&#x0D;&#x0A;</xsl:text>
 
 		<xsl:for-each select=".//match">
@@ -57,19 +70,24 @@
 
 			<!-- next, verify that pivot is a terminal node -->
 
-			<xsl:variable name="pivot-var" select="./variable[@name='#pivot']" />
+			<xsl:variable name="pivot-var"
+				select="./variable[@name='#pivot']" />
 
-			<xsl:variable name="pivot-node" select="key('idkey', exsl:node-set($pivot-var)/@idref)" />
+			<xsl:variable name="pivot-node"
+				select="key('idkey', exsl:node-set($pivot-var)/@idref)" />
 
 			<xsl:choose>
 
 				<xsl:when test="exsl:node-set($pivot-node)[self::t]">
 
-					<xsl:apply-templates select="exsl:node-set($pivot-node)" mode="write-table" />
+					<xsl:apply-templates
+						select="exsl:node-set($pivot-node)" mode="write-table" />
 
 				</xsl:when>
 
-				<xsl:otherwise><xsl:text>&#x09;Query error: #pivot is not a terminal node</xsl:text></xsl:otherwise>
+				<xsl:otherwise>
+					<xsl:text>&#x09;Query error: #pivot is not a terminal node</xsl:text>
+				</xsl:otherwise>
 
 			</xsl:choose>
 
@@ -80,85 +98,107 @@
 	</xsl:template>
 
 	<xsl:template match="t" mode="write-table">
-		
+
 		<!-- Context node is a t-node pivot -->
 
 		<!-- First stage: produce left context -->
 
-		<xsl:text>&#x09;</xsl:text><xsl:apply-templates select="." mode="left-cx" />
+		<xsl:text>&#x09;</xsl:text>
+		<xsl:apply-templates select="." mode="left-cx" />
 
 		<!-- Next stage, write the word in the pivot -->
 
-		<xsl:text>&#x09;</xsl:text><xsl:apply-templates select="." mode="output" />
+		<xsl:text>&#x09;</xsl:text>
+		<xsl:apply-templates select="." mode="output" />
 
 		<!-- Next stage, write other required terminal attributes -->
-		
+
 		<xsl:variable name="thispivot" select="." />
-		
+
 		<xsl:text>&#x09;</xsl:text>
-		<xsl:for-each select="tokenize($valueshowt/node(), '\s+')">
-			
-			<xsl:variable name="attr" select="."/>
-			
-			<xsl:value-of select="$thispivot/@*[name()=$attr]"/><xsl:text>&#x09;</xsl:text>
-			
+		<xsl:for-each
+			select="tokenize($valueshowt/node(), '\s+')">
+
+			<xsl:variable name="attr" select="." />
+
+			<xsl:value-of select="$thispivot/@*[name()=$attr]" />
+			<xsl:text>&#x09;</xsl:text>
+
 		</xsl:for-each>
-		
+
 		<!-- Next stage, write the lexical string contained in the parent NT node -->
 
-		<xsl:apply-templates select="key('idkey-reverse', @id)/ancestor::nt" mode="output" />
+		<xsl:apply-templates
+			select="key('idkey-reverse', @id)/ancestor::nt" mode="output" />
 
 		<!-- Next stage, write the required <nt /> properties -->
-		
-		<xsl:variable name="pivotnt" select="key('idkey-reverse', @id)/.." />
-		
+
+		<xsl:variable name="pivotnt"
+			select="key('idkey-reverse', @id)/.." />
+
 		<xsl:text>&#x09;</xsl:text>
-		<xsl:for-each select="tokenize($valueshownt/node(), '\s+')">
-			
-			<xsl:variable name="attr" select="."/>
-			
-			<xsl:value-of select="$pivotnt/@*[name()=$attr]"/><xsl:text>&#x09;</xsl:text>
-			
+		<xsl:for-each
+			select="tokenize($valueshownt/node(), '\s+')">
+
+			<xsl:variable name="attr" select="." />
+
+			<xsl:value-of select="$pivotnt/@*[name()=$attr]" />
+			<xsl:text>&#x09;</xsl:text>
+
 		</xsl:for-each>
 
 		<!-- Next stage, write the right-cx -->
 
-		<xsl:apply-templates select="." mode="right-cx"/>
+		<xsl:apply-templates select="." mode="right-cx" />
 
 	</xsl:template>
 
 	<xsl:template match="t" mode="left-cx">
 
 		<xsl:variable name="pivot-node" select="." />
-		<xsl:variable name="this-sid"><xsl:value-of select="ancestor::s/@id" /></xsl:variable>
+		<xsl:variable name="this-sid">
+			<xsl:value-of select="ancestor::s/@id" />
+		</xsl:variable>
 
-		<xsl:for-each select="preceding::t[position() &lt; number($cx)]" >
+		<xsl:for-each
+			select="preceding::t[position() &lt; number($cx)]">
 			<!-- xsl:sort select="@id" / -->
 			<xsl:choose>
 				<!-- switch from out-of-sentence to in-sentence context -->
-				<xsl:when test="ancestor::s[@id = $this-sid] and not(preceding-sibling::t)">
+				<xsl:when
+					test="ancestor::s[@id = $this-sid] and not(preceding-sibling::t)">
 					<xsl:text>&#x09;</xsl:text>
 				</xsl:when>
 
 				<!-- first word of the context and in the same sentence -->
 
-				<xsl:when test="position() = 1 and ancestor::s[@id=$this-sid]"><xsl:text>&#x09;</xsl:text></xsl:when>
+				<xsl:when
+					test="position() = 1 and ancestor::s[@id=$this-sid]">
+					<xsl:text>&#x09;</xsl:text>
+				</xsl:when>
 
 				<!-- first word of the context -->
 
 				<xsl:when test="position() = 1" />
 
 				<!-- first word in a sentence -->
-				<xsl:when test="not(preceding-sibling::t)"><xsl:text> / </xsl:text></xsl:when>
+				<xsl:when test="not(preceding-sibling::t)">
+					<xsl:text> / </xsl:text>
+				</xsl:when>
 
-				<xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
+				<xsl:otherwise>
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
 
 			</xsl:choose>
 
 			<xsl:apply-templates select="." mode="output" />
-	
+
 			<!-- add blank column if there's no in-sentence context -->
-			<xsl:if test="position() = last() and ancestor::s[@id != $this-sid]"><xsl:text>&#x09;</xsl:text></xsl:if>
+			<xsl:if
+				test="position() = last() and ancestor::s[@id != $this-sid]">
+				<xsl:text>&#x09;</xsl:text>
+			</xsl:if>
 
 		</xsl:for-each>
 
@@ -167,13 +207,17 @@
 	<xsl:template match="t" mode="right-cx">
 
 		<xsl:variable name="pivot-node" select="." />
-		<xsl:variable name="this-sid"><xsl:value-of select="ancestor::s/@id" /></xsl:variable>
+		<xsl:variable name="this-sid">
+			<xsl:value-of select="ancestor::s/@id" />
+		</xsl:variable>
 
-		<xsl:for-each select="following::t[position() &lt; number($cx)]" >
+		<xsl:for-each
+			select="following::t[position() &lt; number($cx)]">
 			<!-- xsl:sort select="@id" / -->
 			<xsl:choose>
 				<!-- switch from in-sentence to out-of-sentence context -->
-				<xsl:when test="ancestor::s[@id != $this-sid] and preceding::t[position()=1]/ancestor::s[@id = $this-sid]">
+				<xsl:when
+					test="ancestor::s[@id != $this-sid] and preceding::t[position()=1]/ancestor::s[@id = $this-sid]">
 					<xsl:text>&#x09;</xsl:text>
 				</xsl:when>
 
@@ -182,33 +226,40 @@
 				<xsl:when test="position() = 1" />
 
 				<!-- first word in a sentence -->
-				<xsl:when test="not(preceding-sibling::t)"><xsl:text> / </xsl:text></xsl:when>
+				<xsl:when test="not(preceding-sibling::t)">
+					<xsl:text> / </xsl:text>
+				</xsl:when>
 
-				<xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
+				<xsl:otherwise>
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
 
 			</xsl:choose>
 			<xsl:apply-templates select="." mode="output" />
 			<!-- add blank column if there's no out-of-sentence context -->
-			<xsl:if test="position() = last() and ancestor::s[@id = $this-sid]"><xsl:text>&#x09;</xsl:text></xsl:if>
+			<xsl:if
+				test="position() = last() and ancestor::s[@id = $this-sid]">
+				<xsl:text>&#x09;</xsl:text>
+			</xsl:if>
 
 		</xsl:for-each>
 
 	</xsl:template>
 
 	<xsl:template match="nt|t|s" mode="id">
-		
+
 		<xsl:value-of select="@id" />
 
 	</xsl:template>
 
 	<xsl:template match="variable" mode="name">
-		
+
 		<xsl:value-of select="@name" />
 
 	</xsl:template>
 
 	<xsl:template match="t" mode="output">
-		
+
 		<xsl:value-of select="@word" />
 
 	</xsl:template>
@@ -217,11 +268,13 @@
 
 	<xsl:template match="nt" mode="output">
 
-		<!-- prints lexical content of nt node in correct order with constituents not in the pivot bracketed -->
+		<!-- prints lexical content of nt node in correct order with constituents 
+			not in the pivot bracketed -->
 
 		<!-- stuff a copy of all the tnodes in the pivot in $in-pivot -->
 		<xsl:variable name='in-pivot'>
-			<xsl:apply-templates select="." mode="get-terminals" />
+			<xsl:apply-templates select="."
+				mode="get-terminals" />
 		</xsl:variable>
 
 		<!-- create a copy of terminals, with an attribute "in-pivot='True'" -->
@@ -230,16 +283,19 @@
 
 			<xsl:for-each select="ancestor::s//t">
 
-				<xsl:variable name="current-id"><xsl:value-of select="@id" /></xsl:variable>
+				<xsl:variable name="current-id">
+					<xsl:value-of select="@id" />
+				</xsl:variable>
 
 				<!-- copy element into variable -->
 
 				<xsl:copy>
 
-					<xsl:if test="exsl:node-set($in-pivot)//t[@id = $current-id]">
+					<xsl:if
+						test="exsl:node-set($in-pivot)//t[@id = $current-id]">
 						<xsl:attribute name="in-pivot">True</xsl:attribute>
 					</xsl:if>
-					<xsl:apply-templates select="@*" mode="copy"/>
+					<xsl:apply-templates select="@*" mode="copy" />
 
 				</xsl:copy>
 
@@ -247,27 +303,43 @@
 
 		</xsl:variable>
 
-		<!-- $new-terminals is in the correct order, so we can calculate the limits of the segment -->
+		<!-- $new-terminals is in the correct order, so we can calculate the limits 
+			of the segment -->
 
-		<xsl:variable name="first-pivot-id"><xsl:value-of select="exsl:node-set($new-terminals)//t[@in-pivot][position()=1]/@id" /></xsl:variable>
+		<xsl:variable name="first-pivot-id">
+			<xsl:value-of
+				select="exsl:node-set($new-terminals)//t[@in-pivot][position()=1]/@id" />
+		</xsl:variable>
 
-		<xsl:variable name="last-pivot-id"><xsl:value-of select="exsl:node-set($new-terminals)//t[@in-pivot][position()=last()]/@id" /></xsl:variable>
+		<xsl:variable name="last-pivot-id">
+			<xsl:value-of
+				select="exsl:node-set($new-terminals)//t[@in-pivot][position()=last()]/@id" />
+		</xsl:variable>
 
 		<!-- At last! At last! We can output the MF! -->
 
 		<xsl:for-each select="exsl:node-set($new-terminals)//t">
 
-			<xsl:if test="@id = $first-pivot-id or @id = $last-pivot-id or (preceding-sibling::t[@id = $first-pivot-id] and following-sibling::t[@id = $last-pivot-id])">
+			<xsl:if
+				test="@id = $first-pivot-id or @id = $last-pivot-id or (preceding-sibling::t[@id = $first-pivot-id] and following-sibling::t[@id = $last-pivot-id])">
 
 				<!-- print the word -->
-				
-				<xsl:if test="not(@id = $first-pivot-id)"><xsl:text> </xsl:text></xsl:if>
 
+				<xsl:if test="not(@id = $first-pivot-id)">
+					<xsl:text> </xsl:text>
+				</xsl:if>
+
 				<xsl:choose>
 
-					<xsl:when test="@in-pivot"><xsl:apply-templates select="." mode="output" /></xsl:when>
+					<xsl:when test="@in-pivot">
+						<xsl:apply-templates select="." mode="output" />
+					</xsl:when>
 
-					<xsl:otherwise><xsl:text>[</xsl:text><xsl:apply-templates select="." mode="output" /><xsl:text>]</xsl:text></xsl:otherwise>
+					<xsl:otherwise>
+						<xsl:text>[</xsl:text>
+						<xsl:apply-templates select="." mode="output" />
+						<xsl:text>]</xsl:text>
+					</xsl:otherwise>
 
 				</xsl:choose>
 
@@ -280,7 +352,7 @@
 	<xsl:template match="@*" mode="copy">
 		<!-- returns a copy of all attribute nodes -->
 		<xsl:copy />
-	</xsl:template>	
+	</xsl:template>
 
 	<xsl:template match="t" mode="get-terminals">
 
@@ -292,8 +364,9 @@
 
 		<xsl:for-each select="edge">
 
-			<xsl:apply-templates select="key('idkey', @idref)" mode="get-terminals" />
-	
+			<xsl:apply-templates
+				select="key('idkey', @idref)" mode="get-terminals" />
+
 		</xsl:for-each>
 
 	</xsl:template>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-addRef.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-addRef.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-addRef.xsl	(revision 2397)
@@ -1,103 +1,99 @@
 <?xml version="1.0"?>
-<xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-  xmlns:txm="http://textometrie.org/ns/1.0"
-  exclude-result-prefixes="tei edate" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
+<xsl:stylesheet
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:txm="http://textometrie.org/ns/1.0"
+	exclude-result-prefixes="tei edate"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
 
-  <!--
-This software is dual-licensed:
+	<!-- This software is dual-licensed: 1. Distributed under a Creative Commons 
+		Attribution-ShareAlike 3.0 Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+		2. http://www.opensource.org/licenses/BSD-2-Clause All rights reserved. Redistribution 
+		and use in source and binary forms, with or without modification, are permitted 
+		provided that the following conditions are met: * Redistributions of source 
+		code must retain the above copyright notice, this list of conditions and 
+		the following disclaimer. * Redistributions in binary form must reproduce 
+		the above copyright notice, this list of conditions and the following disclaimer 
+		in the documentation and/or other materials provided with the distribution. 
+		This software is provided by the copyright holders and contributors "as is" 
+		and any express or implied warranties, including, but not limited to, the 
+		implied warranties of merchantability and fitness for a particular purpose 
+		are disclaimed. In no event shall the copyright holder or contributors be 
+		liable for any direct, indirect, incidental, special, exemplary, or consequential 
+		damages (including, but not limited to, procurement of substitute goods or 
+		services; loss of use, data, or profits; or business interruption) however 
+		caused and on any theory of liability, whether in contract, strict liability, 
+		or tort (including negligence or otherwise) arising in any way out of the 
+		use of this software, even if advised of the possibility of such damage. 
+		This stylesheet adds a ref attribute to w elements that will be used for 
+		references in TXM concordances. Can be used with TXM XTZ import module. Written 
+		by Alexei Lavrentiev, UMR 5317 IHRIM, 2017 -->
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+	<xsl:output method="xml" encoding="utf-8"
+		omit-xml-declaration="no" />
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+	<!-- General patterns: all elements, attributes, comments and processing 
+		instructions are copied -->
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+	<xsl:variable name="filename">
+		<xsl:analyze-string select="document-uri(.)"
+			regex="^(.*)/([^/]+)\.xml$">
+			<xsl:matching-substring>
+				<xsl:value-of select="regex-group(2)" />
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:variable>
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
 
-     
-This stylesheet adds a ref attribute to w elements that will be used for
-references in TXM concordances. Can be used with TXM XTZ import module.
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
 
-Written by Alexei Lavrentiev, UMR 5317 IHRIM, 2017
-  -->
+	<xsl:template match="*" mode="position">
+		<xsl:value-of select="count(preceding-sibling::*)" />
+	</xsl:template>
 
+	<xsl:template
+		match="@*|comment()|processing-instruction()">
+		<xsl:copy />
+	</xsl:template>
 
-  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/> 
-  
-  
-  <!-- General patterns: all elements, attributes, comments and processing instructions are copied -->
-  
-  <xsl:variable name="filename">
-    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.xml$">
-      <xsl:matching-substring>
-        <xsl:value-of select="regex-group(2)"/>
-      </xsl:matching-substring>
-    </xsl:analyze-string>
-  </xsl:variable>
-  
-  
-  <xsl:template match="*">      
-        <xsl:copy>
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>    
-  </xsl:template>
-  
-  <xsl:template match="*" mode="position"><xsl:value-of select="count(preceding-sibling::*)"/></xsl:template>
+	<xsl:template match="*:w">
+		<xsl:variable name="ref">
+			<xsl:choose>
+				<xsl:when test="ancestor::*:text/@*:id">
+					<xsl:value-of select="ancestor::*:text[1]/@*:id[1]" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="$filename" />
+				</xsl:otherwise>
+			</xsl:choose>
+			<xsl:if test="preceding::*:pb[1]/@n">
+				<xsl:text>, p. </xsl:text>
+				<xsl:value-of select="preceding::*:pb[1]/@n" />
+			</xsl:if>
+			<xsl:if
+				test="(ancestor::*:text/@*:id or preceding::*:pb[1]/@n) and preceding::*:lb[1]/@n">
+				<xsl:text>, </xsl:text>
+			</xsl:if>
+			<xsl:if test="preceding::*:lb[1]/@n">
+				<xsl:text>l. </xsl:text>
+				<xsl:value-of select="preceding::*:lb[1]/@n" />
+			</xsl:if>
+		</xsl:variable>
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:attribute name="ref"><xsl:value-of
+				select="$ref" /></xsl:attribute>
+			<xsl:apply-templates
+				select="*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
 
-  <xsl:template match="@*|comment()|processing-instruction()">
-    <xsl:copy/>
-  </xsl:template>
-    
-  <xsl:template match="*:w">
-    <xsl:variable name="ref">
-      <xsl:choose>
-        <xsl:when test="ancestor::*:text/@*:id">
-          <xsl:value-of select="ancestor::*:text[1]/@*:id[1]"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:value-of select="$filename"/>
-        </xsl:otherwise>
-      </xsl:choose>
-      <xsl:if test="preceding::*:pb[1]/@n">
-        <xsl:text>, p. </xsl:text>
-        <xsl:value-of select="preceding::*:pb[1]/@n"/>
-      </xsl:if>
-      <xsl:if test="(ancestor::*:text/@*:id or preceding::*:pb[1]/@n) and preceding::*:lb[1]/@n">
-        <xsl:text>, </xsl:text>
-      </xsl:if>
-      <xsl:if test="preceding::*:lb[1]/@n">
-        <xsl:text>l. </xsl:text>
-        <xsl:value-of select="preceding::*:lb[1]/@n"/>
-      </xsl:if>
-    </xsl:variable>
-        <xsl:copy>
-          <xsl:apply-templates select="@*"/>
-          <xsl:attribute name="ref"><xsl:value-of select="$ref"/></xsl:attribute>
-          <xsl:apply-templates select="*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>
-  </xsl:template>  
-
 </xsl:stylesheet>
\ No newline at end of file
